var curval = 0;

$(function() {


   $('#back').button({
      icons : {
         primary : "ui-icon-arrowreturnthick-1-w"
      }
   }).on('click', function() {
      window,history.back();
   });

   function loaddata(data, isfinal) {
      if (isfinal)
         $('#results_inner').text(data);
      else
         $('#results_inner').append(data);
   }

   $('#run').button({
      icons : {
         primary : "ui-icon-play"
      }
   }).on('click', function() {
      $('#results').removeClass('hidden').show();
      $('.running').slideDown('slow');
      $('#results_inner').empty();

      $.ajax({
         type : "GET",
         url : 'runnow.jim',
         data : {
            'url' : $('#url').val() ,
            'opts' : $('#opts').val()
         },
         progress : loaddata,
         progressInterval : 5000,
         timeout : 86400000,
         success : function(data) {
            $('.running').slideUp('slow');
            loaddata(data, true);
            loaddata('\n\n=== Done ===');
         },
         error : function(_, _, e) {
            if (window.console)
               console.log("ajax error");
            $('.running').slideUp('slow');
            alert(e);
         }
      });

   });

   $('#queue').button({
      icons : {
         primary : "ui-icon-play"
      }
   }).on('click', function() {
     $('#results').removeClass('hidden').show();
      $('.running').slideDown('slow');
      $('#results_inner').empty();

      $.ajax({
         type : "GET",
         url : 'queue.jim',
         data : {
            'url' : $('#url').val() ,
            'queue_time': $('#queue_time').val(),
            'opts' : $('#opts').val()
         },
         progress : loaddata,
         progressInterval : 1000,
         timeout : 50000,
         success : function(data) {
            $('.running').slideUp('slow');
            loaddata(data, true);
            loaddata('\n\n=== Check qtube.log later to see download progress ===');
         },
         error : function(_, _, e) {
            if (window.console)
               console.log("ajax error");
            $('.running').slideUp('slow');
            alert(e);
         }
      });

   });


   $('#viewqueue').button().click(function() {
      window.location = '/diag/queue/';
   });

   $('#viewlog').button().click(function() {
      window.location = '/log/?log=/mod/tmp/qtube.log';
   });



});
